#ifndef YCURVE__HPP
#define YCURVE_HPP

#include <Eigen/Core>
#include <unsupported/Eigen/Splines>
#include <vector>

class YCurve
{
public:
  YCurve(const float s, const float b, const float m, const float w, const float h, const float maxChannelY);

  Eigen::MatrixXf* evalpts(unsigned int nb);

private:
  float max;
  Eigen::Spline<float, 2, 2> spline;
};

#endif
